package logic

import (
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBuyer/rpc/internal/svc"
	"jyBXBuyer/rpc/service"
	"jyBXBuyer/rpc/type/bxbuyer"
)

type RelatesInfoLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewRelatesInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RelatesInfoLogic {
	return &RelatesInfoLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 采购单位画像 关联信息
func (l *RelatesInfoLogic) RelatesInfo(in *bxbuyer.RelatesInformationReq) (*bxbuyer.RelatesInformationResp, error) {
	return service.GetRelatesInfo(in), nil
}
